Update version to 2.0-pre6
[lttng-tools.git] / configure.ac
1 AC_INIT([lttng-tools], [2.0-pre6], [david.goulet@polymtl.ca], ,[http://lttng.org])
2 AC_CONFIG_AUX_DIR([config])
3 AC_CANONICAL_TARGET
4 AC_CANONICAL_HOST
5 AC_CONFIG_MACRO_DIR([config])
6 AM_INIT_AUTOMAKE([foreign dist-bzip2 no-dist-gzip])
7 AM_SILENT_RULES([yes])
8
9 AC_CHECK_HEADERS([ \
10 sys/types.h unistd.h fcntl.h string.h pthread.h limits.h \
11 signal.h stdlib.h sys/un.h sys/socket.h stdlib.h stdio.h \
12 getopt.h sys/ipc.h sys/shm.h popt.h grp.h \
13 ])
14
15 # Check for pthread
16 AC_CHECK_LIB([pthread], [pthread_create], [],
17 [AC_MSG_ERROR([Cannot find libpthread. Use [LDFLAGS]=-Ldir to specify its location.])]
18 )
19
20 # Check libpopt
21 AC_CHECK_LIB([popt], [poptGetContext], [],
22 [AC_MSG_ERROR([Cannot find libpopt. Use [LDFLAGS]=-Ldir to specify its location.])]
23 )
24
25 # Check liburcu
26 AC_CHECK_DECL([cds_list_add], [],
27 [AC_MSG_ERROR([liburcu 0.5.4 or newer is needed])], [[#include <urcu/list.h>]]
28 )
29
30 AC_PROG_CC
31 AC_PROG_LIBTOOL
32
33 CFLAGS="-Wall $CFLAGS -g -fno-strict-aliasing"
34
35 DEFAULT_INCLUDES="-I\$(top_srcdir) -I\$(top_builddir)"
36
37 lttngincludedir="${includedir}/lttng"
38
39 AC_SUBST(lttngincludedir)
40 AC_SUBST(DEFAULT_INCLUDES)
41
42 AC_CONFIG_FILES([
43 Makefile
44 include/Makefile
45 libkernelctl/Makefile
46 liblttkconsumerd/Makefile
47 liblttngctl/Makefile
48 liblttsessiondcomm/Makefile
49 libustctl/Makefile
50 libustcomm/Makefile
51 ltt-kconsumerd/Makefile
52 ltt-sessiond/Makefile
53 lttng/Makefile
54 tests/Makefile
55 doc/Makefile
56 ])
57
58 AC_OUTPUT
This page took 0.04088 seconds and 4 git commands to generate.